# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Enum GwoExperimentType.Value

    java.lang.Object
      java.lang.Enum<GwoExperimentType.Value>
          com.google.gdata.data.analytics.GwoExperimentType.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GwoExperimentType.Value>

Enclosing class:
  GwoExperimentType

    public static enum GwoExperimentType.Value

extends java.lang.Enum<GwoExperimentType.Value>

Value.

Enum Constant Summary
`AB` AB experiment type.
`MULTIVARIATE` Multivariate experiment type.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static GwoExperimentType.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GwoExperimentType.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AB

    public static final GwoExperimentType.Value AB

  AB experiment type.

### MULTIVARIATE

    public static final GwoExperimentType.Value MULTIVARIATE

  Multivariate experiment type.

Method Detail

### values

    public static GwoExperimentType.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GwoExperimentType.Value c : GwoExperimentType.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GwoExperimentType.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML